<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Requisicion extends Model
{
    protected $table = "requisicion";
    protected $fillable = ['folio', "fechaNecesita", "contempladoPoa", "justificacion", "estado", "total", "idDepartamento", "idPersonal", "idFormato", "firmaDepartamento", "firmaSubdireccion", "firmaPlaneacion", "firmaServicios", "firmaDireccion"];
    protected $with = ['departamento', 'elaboro', 'nombre_estado', 'detalles', 'comentarios'];
    protected $dates = [
        'fechaNecesita'
        
    ];

    public function departamento(){
		return $this->belongsTo('App\Departamento', 'idDepartamento');
	}

	public function elaboro(){
		return $this->belongsTo('App\User', 'idPersonal');
	}

	public function nombre_estado(){
	    return $this->hasOne('App\RequisicionEstados', 'id', 'estado');
    }

    public function detalles(){
    	return $this->hasMany('App\RequisicionDetalle', 'idRequisicion', 'id');
    }

    public function firma_departamento(){
    	return $this->hasOne('App\Firma', 'id', 'firmaDepartamento');
    }

    public function firma_subdireccion(){
    	return $this->hasOne('App\Firma', 'id', 'firmaSubdireccion');
    }

    public function firma_planeacion(){
    	return $this->hasOne('App\Firma', 'id', 'firmaPlaneacion');
    }

    public function firma_servicios(){
    	return $this->hasOne('App\Firma', 'id', 'firmaServicios');
    }

    public function firma_direccion(){
    	return $this->hasOne('App\Firma', 'id', 'firmaDireccion');
    }

    public function comentarios(){
        return $this->hasMany('App\Comentarios', 'idRequisicion', 'id');
    }
}
